diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/config.h.in empathy-2.30.1.new/config.h.in
--- empathy-2.30.1/config.h.in	2010-04-26 16:38:58.000000000 +0200
+++ empathy-2.30.1.new/config.h.in	2010-04-28 11:51:13.241819015 +0200
@@ -57,6 +57,9 @@
 /* Define if you have libchamplain */
 #undef HAVE_LIBCHAMPLAIN
 
+/* Define if you have libindicate */
+#undef HAVE_LIBINDICATE
+
 /* Define to 1 if you have the <locale.h> header file. */
 #undef HAVE_LOCALE_H
 
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/configure empathy-2.30.1.new/configure
--- empathy-2.30.1/configure	2010-04-26 16:38:58.000000000 +0200
+++ empathy-2.30.1.new/configure	2010-04-28 11:51:12.896818187 +0200
@@ -762,6 +762,10 @@
 HAVE_NST_TRUE
 NST_LIBS
 NST_CFLAGS
+HAVE_LIBINDICATE_FALSE
+HAVE_LIBINDICATE_TRUE
+INDICATE_LIBS
+INDICATE_CFLAGS
 HAVE_FAVOURITE_CONTACTS_FALSE
 HAVE_FAVOURITE_CONTACTS_TRUE
 TELEPATHY_LOGGER_LIBS
@@ -1037,6 +1041,7 @@
 enable_location
 enable_meego
 enable_favourite_contacts
+enable_libindicate
 enable_nautilus_sendto
 enable_control_center_embedding
 enable_coding_style_checks
@@ -1082,6 +1087,8 @@
 MEEGO_LIBS
 TELEPATHY_LOGGER_CFLAGS
 TELEPATHY_LOGGER_LIBS
+INDICATE_CFLAGS
+INDICATE_LIBS
 NST_CFLAGS
 NST_LIBS
 CONTROL_CENTER_EMBEDDING_CFLAGS
@@ -1743,6 +1750,8 @@
                           Enable meego widgets
   --enable-favourite-contacts=@<:no/yes]
                           Enable favourite contacts
+  --enable-libindicate=[no/yes/auto]
+                          build libindicate support
   --enable-nautilus-sendto=[no/yes/auto]
                           build nautilus-sendto plugin
   --enable-control-center-embedding=[no/yes/auto]
@@ -1837,6 +1846,10 @@
               C compiler flags for TELEPATHY_LOGGER, overriding pkg-config
   TELEPATHY_LOGGER_LIBS
               linker flags for TELEPATHY_LOGGER, overriding pkg-config
+  INDICATE_CFLAGS
+              C compiler flags for INDICATE, overriding pkg-config
+  INDICATE_LIBS
+              linker flags for INDICATE, overriding pkg-config
   NST_CFLAGS  C compiler flags for NST, overriding pkg-config
   NST_LIBS    linker flags for NST, overriding pkg-config
   CONTROL_CENTER_EMBEDDING_CFLAGS
@@ -2656,6 +2669,8 @@
 WEBKIT_REQUIRED=1.1.15
 KEYRING_REQUIRED=2.22
 NETWORK_MANAGER_REQUIRED=0.7.0
+INDICATE_REQUIRED=0.3.1
+INDICATE_GTK_REQUIRED=0.3.1
 NAUTILUS_SENDTO_REQUIRED=2.28.1
 
 # Use --enable-maintainer-mode to disabled deprecated symbols
@@ -5866,13 +5881,13 @@
 else
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:5869: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:5884: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:5872: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:5887: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:5875: output\"" >&5)
+  (eval echo "\"\$as_me:5890: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -7077,7 +7092,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 7080 "configure"' > conftest.$ac_ext
+  echo '#line 7095 "configure"' > conftest.$ac_ext
   if { { eval echo "\"\$as_me\":${as_lineno-$LINENO}: \"$ac_compile\""; } >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -8357,11 +8372,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8360: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8375: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8364: \$? = $ac_status" >&5
+   echo "$as_me:8379: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8696,11 +8711,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8699: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8714: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8703: \$? = $ac_status" >&5
+   echo "$as_me:8718: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8801,11 +8816,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8804: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8819: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8808: \$? = $ac_status" >&5
+   echo "$as_me:8823: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8856,11 +8871,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8859: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8874: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8863: \$? = $ac_status" >&5
+   echo "$as_me:8878: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11240,7 +11255,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 11243 "configure"
+#line 11258 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11336,7 +11351,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 11339 "configure"
+#line 11354 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14712,6 +14727,7 @@
    gstreamer-0.10
    unique-1.0
    gnome-keyring-1 >= \$KEYRING_REQUIRED
+   launchpad-integration
 \""; } >&5
   ($PKG_CONFIG --exists --print-errors "
    glib-2.0 >= $GLIB_REQUIRED
@@ -14727,6 +14743,7 @@
    gstreamer-0.10
    unique-1.0
    gnome-keyring-1 >= $KEYRING_REQUIRED
+   launchpad-integration
 ") 2>&5
   ac_status=$?
   $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
@@ -14745,6 +14762,7 @@
    gstreamer-0.10
    unique-1.0
    gnome-keyring-1 >= $KEYRING_REQUIRED
+   launchpad-integration
 " 2>/dev/null`
 else
   pkg_failed=yes
@@ -14772,6 +14790,7 @@
    gstreamer-0.10
    unique-1.0
    gnome-keyring-1 >= \$KEYRING_REQUIRED
+   launchpad-integration
 \""; } >&5
   ($PKG_CONFIG --exists --print-errors "
    glib-2.0 >= $GLIB_REQUIRED
@@ -14787,6 +14806,7 @@
    gstreamer-0.10
    unique-1.0
    gnome-keyring-1 >= $KEYRING_REQUIRED
+   launchpad-integration
 ") 2>&5
   ac_status=$?
   $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
@@ -14805,6 +14825,7 @@
    gstreamer-0.10
    unique-1.0
    gnome-keyring-1 >= $KEYRING_REQUIRED
+   launchpad-integration
 " 2>/dev/null`
 else
   pkg_failed=yes
@@ -14838,6 +14859,7 @@
    gstreamer-0.10
    unique-1.0
    gnome-keyring-1 >= $KEYRING_REQUIRED
+   launchpad-integration
 "`
         else
 	        EMPATHY_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "
@@ -14854,6 +14876,7 @@
    gstreamer-0.10
    unique-1.0
    gnome-keyring-1 >= $KEYRING_REQUIRED
+   launchpad-integration
 "`
         fi
 	# Put the nasty error message in config.log where it belongs
@@ -14873,6 +14896,7 @@
    gstreamer-0.10
    unique-1.0
    gnome-keyring-1 >= $KEYRING_REQUIRED
+   launchpad-integration
 ) were not met:
 
 $EMPATHY_PKG_ERRORS
@@ -17030,6 +17054,136 @@
 
 
 # -----------------------------------------------------------
+# libindicate
+# -----------------------------------------------------------
+# Check whether --enable-libindicate was given.
+if test "${enable_libindicate+set}" = set; then :
+  enableval=$enable_libindicate;
+else
+  enable_libindicate=auto
+fi
+
+
+if test "x$enable_libindicate" != "xno"; then
+
+pkg_failed=no
+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for INDICATE" >&5
+$as_echo_n "checking for INDICATE... " >&6; }
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$INDICATE_CFLAGS"; then
+        pkg_cv_INDICATE_CFLAGS="$INDICATE_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"
+     indicate >= \$INDICATE_REQUIRED,
+     indicate-gtk >= \$INDICATE_GTK_REQUIRED
+   \""; } >&5
+  ($PKG_CONFIG --exists --print-errors "
+     indicate >= $INDICATE_REQUIRED,
+     indicate-gtk >= $INDICATE_GTK_REQUIRED
+   ") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  test $ac_status = 0; }; then
+  pkg_cv_INDICATE_CFLAGS=`$PKG_CONFIG --cflags "
+     indicate >= $INDICATE_REQUIRED,
+     indicate-gtk >= $INDICATE_GTK_REQUIRED
+   " 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$INDICATE_LIBS"; then
+        pkg_cv_INDICATE_LIBS="$INDICATE_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"
+     indicate >= \$INDICATE_REQUIRED,
+     indicate-gtk >= \$INDICATE_GTK_REQUIRED
+   \""; } >&5
+  ($PKG_CONFIG --exists --print-errors "
+     indicate >= $INDICATE_REQUIRED,
+     indicate-gtk >= $INDICATE_GTK_REQUIRED
+   ") 2>&5
+  ac_status=$?
+  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
+  test $ac_status = 0; }; then
+  pkg_cv_INDICATE_LIBS=`$PKG_CONFIG --libs "
+     indicate >= $INDICATE_REQUIRED,
+     indicate-gtk >= $INDICATE_GTK_REQUIRED
+   " 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        INDICATE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "
+     indicate >= $INDICATE_REQUIRED,
+     indicate-gtk >= $INDICATE_GTK_REQUIRED
+   "`
+        else
+	        INDICATE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "
+     indicate >= $INDICATE_REQUIRED,
+     indicate-gtk >= $INDICATE_GTK_REQUIRED
+   "`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$INDICATE_PKG_ERRORS" >&5
+
+	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+$as_echo "no" >&6; }
+                have_libindicate="no"
+elif test $pkg_failed = untried; then
+	have_libindicate="no"
+else
+	INDICATE_CFLAGS=$pkg_cv_INDICATE_CFLAGS
+	INDICATE_LIBS=$pkg_cv_INDICATE_LIBS
+        { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+$as_echo "yes" >&6; }
+	have_libindicate="yes"
+fi
+
+   if test "x$have_libindicate" = "xyes"; then
+
+$as_echo "#define HAVE_LIBINDICATE 1" >>confdefs.h
+
+   fi
+else
+   have_libindicate=no
+fi
+
+if test "x$enable_libindicate" = "xyes" -a "x$have_libindicate" != "xyes"; then
+   as_fn_error "Couldn't find libindicate." "$LINENO" 5
+fi
+
+ if test "x$have_libindicate" = "xyes"; then
+  HAVE_LIBINDICATE_TRUE=
+  HAVE_LIBINDICATE_FALSE='#'
+else
+  HAVE_LIBINDICATE_TRUE='#'
+  HAVE_LIBINDICATE_FALSE=
+fi
+
+
+# -----------------------------------------------------------
 # nautilus-sendto
 # -----------------------------------------------------------
 # Check whether --enable-nautilus-sendto was given.
@@ -17462,6 +17616,10 @@
   as_fn_error "conditional \"HAVE_FAVOURITE_CONTACTS\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
 fi
+if test -z "${HAVE_LIBINDICATE_TRUE}" && test -z "${HAVE_LIBINDICATE_FALSE}"; then
+  as_fn_error "conditional \"HAVE_LIBINDICATE\" was never defined.
+Usually this means the macro was only invoked conditionally." "$LINENO" 5
+fi
 if test -z "${HAVE_NST_TRUE}" && test -z "${HAVE_NST_FALSE}"; then
   as_fn_error "conditional \"HAVE_NST\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
@@ -19729,6 +19887,7 @@
 	Coding style checks.........:  ${ENABLE_CODING_STYLE_CHECKS}
 
     Features:
+        Message indicator support (libindicate):  ${have_libindicate}
 	Spell checking (enchant)....:  ${have_enchant}
 	Display maps (libchamplain).:  ${have_libchamplain}
 	Location awareness (Geoclue):  ${have_geoclue}
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/data/icons/Makefile.in empathy-2.30.1.new/data/icons/Makefile.in
--- empathy-2.30.1/data/icons/Makefile.in	2010-04-26 16:38:59.000000000 +0200
+++ empathy-2.30.1.new/data/icons/Makefile.in	2010-04-28 11:51:14.105818990 +0200
@@ -118,6 +118,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/data/Makefile.in empathy-2.30.1.new/data/Makefile.in
--- empathy-2.30.1/data/Makefile.in	2010-04-26 16:38:59.000000000 +0200
+++ empathy-2.30.1.new/data/Makefile.in	2010-04-28 11:51:14.033818358 +0200
@@ -188,6 +188,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/extensions/Makefile.in empathy-2.30.1.new/extensions/Makefile.in
--- empathy-2.30.1/extensions/Makefile.in	2010-04-26 16:38:59.000000000 +0200
+++ empathy-2.30.1.new/extensions/Makefile.in	2010-04-28 11:51:14.237817949 +0200
@@ -151,6 +151,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/help/Makefile.in empathy-2.30.1.new/help/Makefile.in
--- empathy-2.30.1/help/Makefile.in	2010-04-26 16:38:59.000000000 +0200
+++ empathy-2.30.1.new/help/Makefile.in	2010-04-28 11:51:14.342111651 +0200
@@ -143,6 +143,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/libempathy/Makefile.in empathy-2.30.1.new/libempathy/Makefile.in
--- empathy-2.30.1/libempathy/Makefile.in	2010-04-26 16:38:59.000000000 +0200
+++ empathy-2.30.1.new/libempathy/Makefile.in	2010-04-28 11:51:14.573818835 +0200
@@ -247,6 +247,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/libempathy-gtk/Makefile.in empathy-2.30.1.new/libempathy-gtk/Makefile.in
--- empathy-2.30.1/libempathy-gtk/Makefile.in	2010-04-26 16:38:59.000000000 +0200
+++ empathy-2.30.1.new/libempathy-gtk/Makefile.in	2010-04-28 11:51:14.461818349 +0200
@@ -283,6 +283,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/Makefile.in empathy-2.30.1.new/Makefile.in
--- empathy-2.30.1/Makefile.in	2010-04-26 16:39:00.000000000 +0200
+++ empathy-2.30.1.new/Makefile.in	2010-04-28 11:51:15.257819023 +0200
@@ -178,6 +178,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/nautilus-sendto-plugin/Makefile.in empathy-2.30.1.new/nautilus-sendto-plugin/Makefile.in
--- empathy-2.30.1/nautilus-sendto-plugin/Makefile.in	2010-04-26 16:39:00.000000000 +0200
+++ empathy-2.30.1.new/nautilus-sendto-plugin/Makefile.in	2010-04-28 11:51:14.657818615 +0200
@@ -176,6 +176,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/src/Makefile.in empathy-2.30.1.new/src/Makefile.in
--- empathy-2.30.1/src/Makefile.in	2010-04-26 16:39:00.000000000 +0200
+++ empathy-2.30.1.new/src/Makefile.in	2010-04-28 11:51:14.821818987 +0200
@@ -42,20 +42,30 @@
 	$(top_srcdir)/tools/flymake.mk
 bin_PROGRAMS = empathy$(EXEEXT) empathy-accounts$(EXEEXT) \
 	empathy-debugger$(EXEEXT)
-@HAVE_LIBCHAMPLAIN_TRUE@am__append_1 = \
+@HAVE_LIBINDICATE_TRUE@am__append_1 = \
+@HAVE_LIBINDICATE_TRUE@	empathy-indicator-manager.c		\
+@HAVE_LIBINDICATE_TRUE@	empathy-indicator-manager.h 		\
+@HAVE_LIBINDICATE_TRUE@	empathy-indicator.c empathy-indicator.h
+
+@HAVE_LIBINDICATE_FALSE@am__append_2 = \
+@HAVE_LIBINDICATE_FALSE@	empathy-indicator-manager.c		\
+@HAVE_LIBINDICATE_FALSE@	empathy-indicator-manager.h		\
+@HAVE_LIBINDICATE_FALSE@	empathy-indicator.c empathy-indicator.h
+
+@HAVE_LIBCHAMPLAIN_TRUE@am__append_3 = \
 @HAVE_LIBCHAMPLAIN_TRUE@	empathy-map-view.c			\
 @HAVE_LIBCHAMPLAIN_TRUE@	empathy-map-view.h
 
-@HAVE_LIBCHAMPLAIN_TRUE@am__append_2 = \
+@HAVE_LIBCHAMPLAIN_TRUE@am__append_4 = \
 @HAVE_LIBCHAMPLAIN_TRUE@	empathy-map-view.ui
 
-@HAVE_LIBCHAMPLAIN_FALSE@am__append_3 = \
+@HAVE_LIBCHAMPLAIN_FALSE@am__append_5 = \
 @HAVE_LIBCHAMPLAIN_FALSE@	empathy-map-view.c			\
 @HAVE_LIBCHAMPLAIN_FALSE@	empathy-map-view.h			\
 @HAVE_LIBCHAMPLAIN_FALSE@	empathy-map-view.ui
 
-@HAVE_CONTROL_CENTER_EMBEDDING_FALSE@am__append_4 = $(libempathy_accounts_panel_la_SOURCES)
-@HAVE_CONTROL_CENTER_EMBEDDING_TRUE@am__append_5 = $(libempathy_accounts_panel_la_SOURCES)
+@HAVE_CONTROL_CENTER_EMBEDDING_FALSE@am__append_6 = $(libempathy_accounts_panel_la_SOURCES)
+@HAVE_CONTROL_CENTER_EMBEDDING_TRUE@am__append_7 = $(libempathy_accounts_panel_la_SOURCES)
 subdir = src
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/as-compiler-flag.m4 \
@@ -146,9 +156,14 @@
 	empathy-new-chatroom-dialog.h empathy-preferences.c \
 	empathy-preferences.h empathy-sidebar.c empathy-sidebar.h \
 	empathy-status-icon.c empathy-status-icon.h empathy.c \
-	empathy-map-view.c empathy-map-view.h
-@HAVE_LIBCHAMPLAIN_TRUE@am__objects_1 = empathy-map-view.$(OBJEXT)
-am__objects_2 = empathy-about-dialog.$(OBJEXT) \
+	empathy-indicator-manager.c empathy-indicator-manager.h \
+	empathy-indicator.c empathy-indicator.h empathy-map-view.c \
+	empathy-map-view.h
+@HAVE_LIBINDICATE_TRUE@am__objects_1 =  \
+@HAVE_LIBINDICATE_TRUE@	empathy-indicator-manager.$(OBJEXT) \
+@HAVE_LIBINDICATE_TRUE@	empathy-indicator.$(OBJEXT)
+@HAVE_LIBCHAMPLAIN_TRUE@am__objects_2 = empathy-map-view.$(OBJEXT)
+am__objects_3 = empathy-about-dialog.$(OBJEXT) \
 	empathy-call-window-fullscreen.$(OBJEXT) \
 	empathy-call-window.$(OBJEXT) empathy-chat-window.$(OBJEXT) \
 	empathy-chatrooms-window.$(OBJEXT) \
@@ -159,17 +174,18 @@
 	empathy-new-chatroom-dialog.$(OBJEXT) \
 	empathy-preferences.$(OBJEXT) empathy-sidebar.$(OBJEXT) \
 	empathy-status-icon.$(OBJEXT) empathy.$(OBJEXT) \
-	$(am__objects_1)
-am_empathy_OBJECTS = $(am__objects_2)
-am__objects_3 =
-nodist_empathy_OBJECTS = $(am__objects_3)
+	$(am__objects_1) $(am__objects_2)
+am_empathy_OBJECTS = $(am__objects_3)
+am__objects_4 =
+nodist_empathy_OBJECTS = $(am__objects_4)
 empathy_OBJECTS = $(am_empathy_OBJECTS) $(nodist_empathy_OBJECTS)
 empathy_DEPENDENCIES = libempathy-accounts-common.la \
 	$(top_builddir)/libempathy-gtk/libempathy-gtk.la \
 	$(top_builddir)/libempathy/libempathy.la \
 	$(top_builddir)/extensions/libemp-extensions.la \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
-	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1)
 am_empathy_accounts_OBJECTS = empathy-accounts.$(OBJEXT)
 empathy_accounts_OBJECTS = $(am_empathy_accounts_OBJECTS)
 am__DEPENDENCIES_2 = $(top_builddir)/libempathy-gtk/libempathy-gtk.la \
@@ -177,7 +193,7 @@
 	$(top_builddir)/extensions/libemp-extensions.la \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
-	$(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 empathy_accounts_DEPENDENCIES = $(am__DEPENDENCIES_2) \
 	libempathy-accounts-common.la
 am_empathy_debugger_OBJECTS = empathy-debug-window.$(OBJEXT) \
@@ -190,7 +206,7 @@
 	$(top_builddir)/extensions/libemp-extensions.la \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
-	$(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -291,6 +307,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
@@ -442,6 +460,7 @@
 	$(ERROR_CFLAGS)					\
 	-I$(top_srcdir)                          	\
 	-DG_LOG_DOMAIN=\"empathy\"			\
+	-DDESKTOPDIR=\"$(datadir)/applications\"	\
 	-DBIN_DIR=\"$(bindir)\"                         \
 	$(DISABLE_DEPRECATED)				\
 	$(WARN_CFLAGS)					\
@@ -452,6 +471,7 @@
 	$(CPPFLAGS_COMMON)				\
 	$(TPL_CFLAGS)					\
 	$(LIBNOTIFY_CFLAGS)				\
+	$(INDICATE_CFLAGS)				\
 	$(LIBCHAMPLAIN_CFLAGS)				\
 	$(WEBKIT_CFLAGS)				\
 	$(NULL)
@@ -462,6 +482,7 @@
 	$(top_builddir)/extensions/libemp-extensions.la		\
 	$(TPL_LIBS)						\
 	$(LIBNOTIFY_LIBS)					\
+	$(INDICATE_LIBS)					\
 	$(EMPATHY_LIBS)						\
 	$(LIBCHAMPLAIN_LIBS)					\
 	$(WEBKIT_LIBS)
@@ -540,7 +561,7 @@
 	empathy-new-chatroom-dialog.h empathy-preferences.c \
 	empathy-preferences.h empathy-sidebar.c empathy-sidebar.h \
 	empathy-status-icon.c empathy-status-icon.h empathy.c \
-	$(am__append_1)
+	$(am__append_1) $(am__append_3)
 empathy_SOURCES = \
 	$(empathy_handwritten_source)					\
 	$(NULL)
@@ -552,22 +573,23 @@
         $(top_builddir)/extensions/libemp-extensions.la			\
         $(LIBNOTIFY_LIBS)						\
         $(EMPATHY_LIBS)							\
+	$(INDICATE_LIBS)						\
         $(LIBCHAMPLAIN_LIBS)						\
         $(WEBKIT_LIBS)							\
 	$(NULL)
 
 nodist_empathy_SOURCES = $(BUILT_SOURCES)
 check_c_sources = $(empathy_handwritten_source) \
-	$(empathy_logs_SOURCES) $(am__append_5)
+	$(empathy_logs_SOURCES) $(am__append_7)
 uidir = $(datadir)/empathy
 ui_DATA = empathy-accounts-dialog.ui empathy-call-window-fullscreen.ui \
 	empathy-call-window.ui empathy-chat-window.ui \
 	empathy-chatrooms-window.ui empathy-ft-manager.ui \
 	empathy-import-dialog.ui empathy-main-window.ui \
 	empathy-new-chatroom-dialog.ui empathy-preferences.ui \
-	empathy-status-icon.ui $(am__append_2)
-EXTRA_DIST = $(autostart_DATA) $(ui_DATA) $(am__append_3) \
-	$(am__append_4)
+	empathy-status-icon.ui $(am__append_4)
+EXTRA_DIST = $(autostart_DATA) $(ui_DATA) $(am__append_2) \
+	$(am__append_5) $(am__append_6)
 dist_man_MANS = \
 	empathy.1
 
@@ -729,6 +751,8 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/empathy-import-pidgin.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/empathy-import-utils.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/empathy-import-widget.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/empathy-indicator-manager.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/empathy-indicator.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/empathy-invite-participant-dialog.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/empathy-main-window.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/empathy-map-view.Po@am__quote@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/tests/interactive/Makefile.in empathy-2.30.1.new/tests/interactive/Makefile.in
--- empathy-2.30.1/tests/interactive/Makefile.in	2010-04-26 16:39:00.000000000 +0200
+++ empathy-2.30.1.new/tests/interactive/Makefile.in	2010-04-28 11:51:15.029818618 +0200
@@ -217,6 +217,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/tests/Makefile.in empathy-2.30.1.new/tests/Makefile.in
--- empathy-2.30.1/tests/Makefile.in	2010-04-26 16:39:00.000000000 +0200
+++ empathy-2.30.1.new/tests/Makefile.in	2010-04-28 11:51:14.929818890 +0200
@@ -256,6 +256,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/tests/xml/Makefile.in empathy-2.30.1.new/tests/xml/Makefile.in
--- empathy-2.30.1/tests/xml/Makefile.in	2010-04-26 16:39:00.000000000 +0200
+++ empathy-2.30.1.new/tests/xml/Makefile.in	2010-04-28 11:51:15.093818234 +0200
@@ -118,6 +118,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff -Nur -x '*.orig' -x '*~' empathy-2.30.1/tools/Makefile.in empathy-2.30.1.new/tools/Makefile.in
--- empathy-2.30.1/tools/Makefile.in	2010-04-26 16:39:00.000000000 +0200
+++ empathy-2.30.1.new/tools/Makefile.in	2010-04-28 11:51:15.165818863 +0200
@@ -120,6 +120,8 @@
 GOBJECT_QUERY = @GOBJECT_QUERY@
 GREP = @GREP@
 HELP_DIR = @HELP_DIR@
+INDICATE_CFLAGS = @INDICATE_CFLAGS@
+INDICATE_LIBS = @INDICATE_LIBS@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
